Bug 821629 - unicode(user) tracebacks when the user has no name set in preferences
unicode(user) tracebacks when the user has no name set in preferences
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-nitrate (Show other bugs)
rawhide
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Petr Šplíchal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 03:32 EDT by Petr Šplíchal
Modified: 2016-05-31 21:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 13:51:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2012-05-15 03:32:18 EDT
>>> print User('psplicha').name
Petr Šplíchal
>>> print str(User('psplicha'))
Petr Splichal
>>> print unicode(User('psplicha'))
Petr Šplíchal

>>> print User('mkyral').name
None
>>> print str(User('mkyral'))
None
>>> print unicode(User('mkyral'))
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
TypeError: coercing to Unicode: need string or buffer, NoneType found

Sane default unicode representation provided.
Comment 1 Petr Šplíchal 2012-12-06 06:03:15 EST
Fix pushed to git:
https://github.com/psss/python-nitrate/commit/aae126c
Comment 2 Fedora Update System 2012-12-10 07:41:38 EST
python-nitrate-0.9-0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.el6
Comment 3 Fedora Update System 2012-12-10 07:46:53 EST
python-nitrate-0.9-0.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.fc16
Comment 4 Fedora Update System 2012-12-10 07:46:55 EST
python-nitrate-0.9-0.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.fc17
Comment 5 Fedora Update System 2012-12-10 07:46:59 EST
python-nitrate-0.9-0.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.fc18
Comment 6 Fedora Update System 2012-12-10 13:54:16 EST
Package python-nitrate-0.9-0.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-nitrate-0.9-0.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13721/python-nitrate-0.9-0.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-19 03:32:22 EST
python-nitrate-0.9-0.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-12-19 03:43:08 EST
python-nitrate-0.9-0.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-01-07 13:52:00 EST
python-nitrate-0.9-0.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-01-11 20:09:35 EST
python-nitrate-0.9-0.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.